uniform sampler2D Texture0;
uniform sampler2D Texture1;
uniform sampler2D Texture2;
uniform sampler2D Texture3;
uniform sampler2D Texture4;
uniform sampler2D Texture5;
uniform sampler2D Texture6;

varying highp vec2 TextureCoordsOut;
varying highp float ParamOut;
varying highp vec4 ColorOut;

void main(void) {
	if (ParamOut < 0.5) {
		gl_FragColor = texture2D(Texture0, TextureCoordsOut);
	}
	else if (ParamOut > 50.0) {
		highp float OTexture = ParamOut;
		highp float OColorChannel = 0.0;
		if (OTexture < 150.0) {
			OTexture -= 100.0;
			OColorChannel = 0.0;
		}
		else if (OTexture < 250.0) {
			OTexture -= 200.0;
			OColorChannel = 1.0;
		}
		else if (OTexture < 350.0) {
			OTexture -= 300.0;
			OColorChannel = 2.0;
		}
		else {
			OTexture -= 400.0;
			OColorChannel = 3.0;
		}
		highp vec4 OColor = vec4(0, 0, 0, 0);
		if (OTexture < 0.5) {
			OColor = texture2D(Texture0, TextureCoordsOut);
		}
		else if (OTexture < 1.5) {
			OColor = texture2D(Texture1, TextureCoordsOut);
		}
		else if (OTexture < 2.5) {
			OColor = texture2D(Texture2, TextureCoordsOut);
		}
		else if (OTexture < 3.5) {
			OColor = texture2D(Texture3, TextureCoordsOut);
		}
		else if (OTexture < 4.5) {
			OColor = texture2D(Texture4, TextureCoordsOut);
		}
		else if (OTexture < 5.5) {
			OColor = texture2D(Texture5, TextureCoordsOut);
		}
		else if (OTexture < 6.5) {
			OColor = texture2D(Texture6, TextureCoordsOut);
		}
		else if (OTexture < 7.5) {
			OColor = ColorOut;
		}
		if (OColorChannel < 0.5) {
			gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[0] * ColorOut[3]);
		}
		else if (OColorChannel < 1.5) {
			gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[1] * ColorOut[3]);
		}
		else if (OColorChannel < 2.5) {
			gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[2] * ColorOut[3]);
		}
		else if (OColorChannel < 3.5) {
			gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[3] * ColorOut[3]);
		}
		else {
			gl_FragColor = vec4(1, 0, 1, 1);
		}
	}
	else if (ParamOut < 1.5) {
		gl_FragColor = texture2D(Texture1, TextureCoordsOut);
	}
	else if (ParamOut < 2.5) {
		gl_FragColor = texture2D(Texture2, TextureCoordsOut);
	}
	else if (ParamOut < 3.5) {
		gl_FragColor = texture2D(Texture3, TextureCoordsOut);
	}
	else if (ParamOut < 4.5) {
		gl_FragColor = texture2D(Texture4, TextureCoordsOut);
	}
	else if (ParamOut < 5.5) {
		gl_FragColor = texture2D(Texture5, TextureCoordsOut);
	}
	else if (ParamOut < 6.5) {
		gl_FragColor = texture2D(Texture6, TextureCoordsOut);
	}
	else if (ParamOut < 7.5) {
		gl_FragColor = ColorOut;
	}
	else {
		gl_FragColor = vec4(1, 0, 1, 1);
	}

}